
// Display chip
#define DISP_ILI9341	// required
// Possible:
//	DISP_HX8347A	DISP_HX8352A	DISP_HX8340B_8	DISP_HX8340B_S	DISP_HX8353C
//	DISP_ILI9327	DISP_ILI9325C	DISP_ILI9325D	DISP_ILI9325D_ALT	DISP_ILI9481	DISP_ILI9341_S4P	DISP_ILI9341_S5P	DISP_ILI9486
//	DISP_SSD1289	DISP_SSD1963_480	DISP_SSD1963_800	DISP_SSD1963_800_ALT
//	DISP_ST7735	DISP_ST7735_ALT	DISP_ST7735S
//	DISP_S1D19122 (grayscale 240x320)
//	DISP_PCF8833
//	DISP_S6D1121	DISP_S6D0164
//	DISP_R61581
//	DISP_CPLD

// Physical display size
#define DISP_X_SIZE 240		// required
#define DISP_Y_SIZE 320		// required

// Transfer mode (1, 8 or 16)
#define DISP_TRANSFER 8

#if 1	// Tino
// Alle ILI durchprobiert: nix!
#define DISP_RD(x) {if (x) PORTC|=0x01; else PORTC&=~0x01;}	// optional
#define DISP_WR(x) {if (x) PORTC|=0x02; else PORTC&=~0x02;}	// required if DISP_TRANSFER>1
#define DISP_RS(x) {if (x) PORTC|=0x04; else PORTC&=~0x04;}	// required
#define DISP_CS(x) {if (x) PORTC|=0x08; else PORTC&=~0x08;}	// required
#define DISP_RST(x) {if (x) PORTC|=0x10; else PORTC&=~0x10;}	// optional
#define DISP_DDR(x) {if (x) DDRD|=0xFC,DDRB|=0x03; else DDRD&=~0xFC,DDRB&=~0x03;}	// required if DISP_RD defined
#define DISP_OUT(x) {PORTD=PORTD&0x03|(x)&0xFC; PORTB=PORTB&0xFC|(x)&0x03;}		// required if DISP_TRANSFER>1
#define DISP_IN() PIND&0xFC|PINB&0x03				// required if DISP_RD defined
#define DISP_INIT() {PORTC|=0x1F;DDRC|=0x1F;}			// required; DISP_DDR(1) is automatically invoked

#else	// Frank
#define DISP_ILI9325D	// required

#define DISP_CS(x) {if (x) PORTC|=0x08; else PORTC&=~0x08;}
#define DISP_WR(x) {if (x) PORTC|=0x10; else PORTC&=~0x10;}
#define DISP_RS(x) {if (x) PORTC|=0x20; else PORTC&=~0x20;}
#define DISP_DDR(x) {if (x) DDRD=0xFF; else DDRD=0;}
#define DISP_OUT(x) {PORTD=(x);}
#define DISP_INIT() {PORTC|=0x38;DDRC|=0x38;}
#endif

/*For 1-wire
#define DISP_RS(x) {DISP_SDA(x); DISP_SCL(0); DISP_SCL(1);}
*/
